import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const XTimeline = /*@__PURE__*/ proxyCustomElement(class XTimeline extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '6bcd2ba9722f94394c372c6c47553c8ea6dd7c31' }, h("slot", { key: 'afd5a8ea99e83514ee20a31fcf493ab832821881' }));
    }
}, [4, "x-timeline-header"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-timeline-header"];
    components.forEach(tagName => { switch (tagName) {
        case "x-timeline-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XTimeline);
            }
            break;
    } });
}

const XTimelineHeader = XTimeline;
const defineCustomElement = defineCustomElement$1;

export { XTimelineHeader, defineCustomElement };
